/* =========================
   RESET
========================= */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Outfit', sans-serif;
    background: #fff;
}

section {
    scroll-margin-top: 90px;
}

/* Title */
.title {
    font-size: 30px;
    font-weight: 700;
    color: #283199;
    margin-bottom: 20px;
}

.skip-link {
    position: absolute;
    left: -999px;
    top: 0;
    background: var(--color-accent);
    color: #fff;
}

.page-content {
    width: 100%;
    display: block;
}

/* =========================
   HEADER
========================= */

.site-header {
    width: 100%;
    background: #fff;
    border-bottom: 1px solid #ececec;
    position: sticky;
    top: 0;
    z-index: 999;
}

.navbar {
    width: 100%;
    padding: 1rem 1.5rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

/* LOGO */

.logo {
    display: flex;
    align-items: center;
    gap: 10px;
    text-decoration: none;
    flex-shrink: 0;
}

.logo img {
    height: 25px;
}

/* =========================
   NAVIGATION
========================= */
.nav-menu {
    display: flex;
    align-items: center;
    gap: 26px;
    list-style: none;
    margin-bottom: 0;
}

.nav-menu li {
    position: relative;
}

.nav-menu li i{
    color: #283199;
}

.nav-menu li a {
    text-decoration: none;
    color: #555;
    font-size: .92rem;
    font-weight: 500;
    display: flex;
    align-items: center;
    gap: 7px;
    transition: .3s ease;
}

.nav-menu li a:hover {
    color: #283199;
}

.nav-menu li a .fa-chevron-down {
    color: #555;      
    transition: 0.3s ease;
}

/* chevron turns red on hover */
.nav-menu li a:hover .fa-chevron-down {
    color: #283199 !important;
}

.dropdown {
    position: relative;
}

/* DROPDOWN */
.dropdown-menu {
    position: absolute;
    top:150%;
    left: 0;
    min-width: 280px;
    background: rgb(255, 255, 255);
    border-radius: 0px;
    padding: 8px 0;
    list-style: none;
    opacity: 0;
    visibility: hidden;
    transform: translateY(10px);
    transition: .25s ease;
}

/* show dropdown */
.dropdown:hover .dropdown-menu {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

/* link layout */
.dropdown-menu li a {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 10px 16px;
    text-decoration: none;
    color: #333;
    font-size: 14px;
    font-weight: 500;
    white-space: nowrap;       
    transition: background 0.2s ease, color 0.2s ease;
}

/* icon styling */
.dropdown-menu .section-icon {
    width: 22px;
    text-align: center;
    color: #555;
    flex-shrink: 0;
}

/* remove bootstrap arrow */
.dropdown-toggle::after {
    display: none !important;
    content: none !important;
}

/* =========================
   HAMBURGER
========================= */

.menu-toggle {
    display: none;
    background: none;
    border: none;
    color: #2535a1;
    cursor: pointer;
}

.menu-toggle i{
    font-size: 1.4rem !important;
    color: #2535a1 !important;
}

/* =========================
   HERO SECTION
========================= */

.hero-section {
    position: relative;
    width: 100%;
    height: 70vh;
    overflow: hidden;
    display: flex;
}

/* BACKGROUND IMAGE */
.hero-bg {
    position: absolute;
    inset: 0;
    z-index: 0;
}

.hero-bg img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.hero-content {
    position: relative;
    z-index: 2;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 0 60px;
    color: #fff;
}

.hero-content h1{
    color: #F0F3F6;
    font-weight: 700;
    text-transform: uppercase;
    font-size: 50px;
    letter-spacing: 0.8px;
}

.hero-content p{
    color: #F0F3F6;
    font-weight: 500;
    text-transform: uppercase;
    font-size: 30px;
}

.hero-cta .btn{
    border-radius: 0px !important;
    font-weight:600;
}


/* =========================
   COURSE OUTLINE SECTION
========================= */

.overview {
    padding: 40px 65px 0px 65px;
}

.grid-wrapper {
    position: relative;
    z-index: 2;
    display: grid;
    grid-template-columns: 3fr 1fr;
    grid-auto-rows: auto;
    gap: 30px;
    width: 100%;
    box-sizing: border-box;
}

.grid-wrapper p{
    font-weight: 500;
}

/* Make all boxes fill their grid cell */
.box {
    display: flex;
    flex-direction: column; 
    align-items: flex-start; 
    justify-content: flex-start;
    text-align: left;
}

/* LEFT SIDE */
.box1 {
    grid-column: 1;
    grid-row: 1 / span 3;
    border-bottom: 1px solid #d0d0d0;
    padding-bottom: 20px;
}

.bullet-wrapper {
    display: flex;
    justify-content:left;
    gap: 10px;
    width: 100%;
}

.bullet-wrapper ul {
    flex: 1;
    padding-left: 20px;
    margin: 0;
}

.box2 {
    grid-column: 1;
    grid-row: 4 / span 3;
}

/* RIGHT SIDE */
.box3 {
    grid-column: 2;
    grid-row: 1 / span 2;
}

.box4 {
    grid-column: 2;
    grid-row: 3 / span 2;
}

.box5 {
    grid-column: 2;
    grid-row: 5 / span 2;
}

.box3,
.box4,
.box5 {
    border-radius: 15px;
    border: 1px solid #9FA3A7;
    background-color: #fff;
    padding: 15px;
}

.box3 h2,
.box4 h2,
.box5 h2{
    font-size: 23px;
    font-weight: 600;
    color: #283199;
}

.contact-item {
    display: flex;
    align-items: center;
    gap: 12px;
    margin-bottom: 14px;
}

.contact-item p {
    margin: 0;=
}

.contact-icon {
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.contact-icon img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

/* =========================
   PREREQUISITE SECTION
========================= */

.prerequisite-box {
    background: #F0F3F6;
    padding: 30px;
    position: relative;
}

/* Grid layout */
.prereq-grid {
    display: flex;
    position: relative;
}

.prereq-col {
    width: 50%;
    padding: 0 20px;
    box-sizing: border-box;
}

.divider {
    width: 2px;
    background: #cfd3ff;
}

.prereq-col h3 {
    font-size: 16px;
    font-weight: 700;
    color: #283199;
    margin-bottom: 15px;
    text-transform: uppercase;
}

/* List styling */
.prereq-col ul {
    padding-left: 18px;
}


/* =========================
   CERTIFICATION SECTION
========================= */

.certification-box {
    background: #F0F3F6;
    padding: 40px;
    position: relative;
}


.certification-box ul {
    padding-left: 18px;
}


/* =========================
   REGISTER + CHEVRON 
========================= */

.hero-cta {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    gap: 10px;
}

/* Left side */
.cta-left {
    display: flex;
    align-items: center;
}

/* Right side */
.cta-right {
    position: fixed;
    right: 25px;
    bottom: 25px;
    z-index: 9999;
}

.back-to-top {
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.18);
    transition: all 0.3s ease;
}

.back-to-top:hover {
    transform: translateY(-3px);
    box-shadow:
        0 0 0 4px rgba(255, 255, 255, 0.35),
        0 10px 25px rgba(255, 255, 255, 0.25),
        0 12px 30px rgba(40, 49, 153, 0.25);
}

/* Scroll button style */
.back-to-top {
    background: #283199;
    border: 1px solid #283199;
    width: 45px;
    height: 45px;
    border-radius: 50%;
    cursor: pointer;
    transition: 0.2s;
}

.back-to-top i {
    color: #fff;
}



/* =========================
   FOOTER
========================= */

.site-footer {
    background: #283199;
    color: #fff;
    padding: 40px 65px;
    margin-top: 40px;
}

.footer-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 40px;
    flex-wrap: wrap;
}

/* LEFT */
.footer-left {
    flex: 1;
    min-width: 300px;
}

.footer-logo img {
    height: 25px;
}

.footer-desc{
    margin-top: 1rem;
}

/* RIGHT */
.footer-right {
    display: flex;
    gap: 20px;
    align-items: center;
    min-width: 200px;
}

.footer-right img {
    width: 70px;
    height: auto;
    object-fit: cover;
}

.partner-logo--hl {
    width: 100px !important;
}

/* =========================
   MOBILE
========================= */
@media (max-width: 991px) {
    .navbar {
        padding: 14px 18px;
    }

    /* SAME ROW */
    .menu-toggle {
        display: block;
    }

    /* HIDE MENU */
    .nav-menu {
        position: absolute;
        top: 52px;
        right: 0;
        width: 40%;
        background: #fff;
        flex-direction: column;
        align-items: flex-start;
        gap: 0;
        padding: 10px 0;
        display: none;
    }

    /* SHOW WHEN CLICK */
    .nav-menu.active {
        display: flex;
    }

    .nav-menu li {
        width: 100%;
    }

    .nav-menu li a {
        width: 100%;
        padding: 15px 22px;
    }

    /* DROPDOWN MOBILE */

    .dropdown-menu {
        position: static;
        opacity: 1;
        visibility: visible;
        transform: none;
        box-shadow: none;
        display: none;
        width: 100%;
        padding-left: 12px;
    }

    .dropdown.active .dropdown-menu {
        display: block;
    }

}

@media (max-width: 768px) {
    .hero-section {
        height: 45vh;  
    }

    .hero-content {
        padding: 0 20px;
    }
    
    .hero-content h1{
        font-weight: 700;
        font-size: 45px;
        letter-spacing: 0.5px;
    }

    .hero-content p{
        font-weight: 300;
        text-transform: uppercase;
        font-size: 25px;
    }

    .grid-wrapper {
        grid-template-columns: 1fr;
        grid-template-rows: auto;
        gap: 20px;
    }

    .box1,
    .box2,
    .box3,
    .box4,
    .box5 {
        grid-column: auto;
        grid-row: auto;
        width: 100%;
    }

    .prereq-grid {
        flex-direction: column;
    }
    
    .prereq-grid::before {
        top: 50%;
        left: 0;
        right: 0;
        height: 2px;
        width: 100%;
        transform: translateY(-50%);
    }

    .prereq-col {
        flex: none;       
        width: 100%;         
        padding: 0;         
    }

    .divider {
        width: 100%;
        height: 2px;
        background: #cfd3ff;
        margin: 15px 0;
    }

    .footer-container {
        flex-direction: row;
        flex-wrap: nowrap; 
        align-items: center;
        gap: 20px;
    }

    .footer-right {
        display: flex;
        flex-direction: column; 
        align-items: center; 
        gap: 20px;
        min-width: 0px !important;
    }

    .footer-left {
        flex: 1;
        min-width: 200px;
    }

    .footer-logo img {
        height: 20px;
    }

    .footer-right img {
        width: 50px;
    }

    .partner-logo--hl {
        width: 80px !important;
    }
}

@media (max-width: 576px) {

    .navbar {
        padding: 12px 15px;
    }

    /* HIDE MENU */
    .nav-menu {
        position: absolute;
        top: 32px;
        right: 0;
        width: 60%;
        background: #fff;
        flex-direction: column;
        align-items: flex-start;
        gap: 0;
        padding: 10px 0;
        display: none;
    }

    .dropdown-menu li a {
        display: flex;
        align-items: center;
        gap: 10px;
        padding: 10px 16px;
        text-decoration: none;
        color: #333;
        font-size: 0.92rem;
        font-weight: 500;
        white-space: nowrap;
        transition: background 0.2s ease, color 0.2s ease;
    }

    .hero-content h1 {
        font-weight: 700;
        font-size: 40px;
        letter-spacing: 0.5px;
    }

    .hero-content p {
        font-weight: 300;
        text-transform: uppercase;
        font-size: 25px;
    }
}



/* =========================
   PDF
========================= */
@media print {
    .no-pdf {
        display: none !important;
    }
}